## scrcpy 1.9

=== meson_options.txt ===
option('build_app', type: 'boolean', value: true, description: 'Build the client')
option('build_server', type: 'boolean', value: true, description: 'Build the server')
option('crossbuild_windows', type: 'boolean', value: false, description: 'Build for Windows from Linux')
option('windows_noconsole', type: 'boolean', value: false, description: 'Disable console on Windows (pass -mwindows flag)')
option('prebuilt_server', type: 'string', description: 'Path of the prebuilt server')
option('portable', type: 'boolean', description: 'Use scrcpy-server.jar from the same directory as the scrcpy executable')
option('skip_frames', type: 'boolean', value: true, description: 'Always display the most recent frame')
option('hidpi_support', type: 'boolean', value: true, description: 'Enable High DPI support')

=== prebuilt-deps/Makefile ===
.PHONY: prepare-win32 prepare-win64 \
	prepare-ffmpeg-shared-win32 \
	prepare-ffmpeg-dev-win32 \
	prepare-ffmpeg-shared-win64 \
	prepare-ffmpeg-dev-win64 \
	prepare-sdl2 \
	prepare-adb

prepare-win32: prepare-sdl2 prepare-ffmpeg-shared-win32 prepare-ffmpeg-dev-win32 prepare-adb
prepare-win64: prepare-sdl2 prepare-ffmpeg-shared-win64 prepare-ffmpeg-dev-win64 prepare-adb

prepare-ffmpeg-shared-win32:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win32/shared/ffmpeg-4.1.3-win32-shared.zip \
		8ea472d673370d5e87517a75587abfa6f189ee4f82e8da21fdbc49d0db0c1a89 \
		ffmpeg-4.1.3-win32-shared

prepare-ffmpeg-dev-win32:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win32/dev/ffmpeg-4.1.3-win32-dev.zip \
		e16d3150b6ccf0b71908f5b964cb8c051d79053c8f5cd6d777d617ab4f03613a \
		ffmpeg-4.1.3-win32-dev

prepare-ffmpeg-shared-win64:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win64/shared/ffmpeg-4.1.3-win64-shared.zip \
		0b974578e07d974c4bafb36c7ed0b46e46b001d38b149455089c13b57ddefe5d \
		ffmpeg-4.1.3-win64-shared

prepare-ffmpeg-dev-win64:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win64/dev/ffmpeg-4.1.3-win64-dev.zip \
		334b473467db096a5b74242743592a73e120a137232794508e4fc55593696a5b \
		ffmpeg-4.1.3-win64-dev

prepare-sdl2:
	@./prepare-dep https://libsdl.org/release/SDL2-devel-2.0.8-mingw.tar.gz \
		ffff7305d634aff5e1df5b7bb935435c3a02c8b03ad94a1a2be9169a558a7961 \
		SDL2-2.0.8

prepare-adb:
	@./prepare-dep https://dl.google.com/android/repository/platform-tools_r29.0.1-windows.zip \
		2334f92cf571fd2d9bf6ff7c637765bee5d8323e0bd8e051e15927d87b54b4e8 \
		platform-tools

=== debian/changelog ===
scrcpy (1.9-0mx19) mx; urgency=low

  * Initial debian packaging
  * Built for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 23 Jul 2019 13:56:34 -0400

## scrcpy 1.11+ds

=== debian/changelog ===
scrcpy (1.11+ds-1) unstable; urgency=medium

  * Initial release (Closes: #893279)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 20 Nov 2019 23:40:21 +0800

=== debian/control ===
Source: scrcpy
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Arch:
 meson,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libsdl2-dev,
Build-Depends-Indep:
 android-sdk,
 android-sdk-platform-23,
 default-jdk,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/Genymobile/scrcpy
Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

Package: scrcpy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adb, scrcpy-server,
Description: Display and control your Android device
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the client (desktop) binary.

Package: scrcpy-server
Architecture: all
Depends: ${misc:Depends},
Description: Display and control your Android device - server binary
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the server (mobile) binary, which will be pushed to the
 Android device.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export ANDROID_HOME=/usr/lib/android-sdk
export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

build:
	dh build-arch
	dh build-indep --buildsystem=makefile
	#dh build-indep --buildsystem=gradle

build-arch:
	dh build-arch

build-indep:
	dh build-indep --buildsystem=makefile
	#dh build-indep --buildsystem=gradle

clean:
	dh clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build_manual

override_dh_auto_configure-arch:
	dh_auto_configure -a -- -Dcompile_server=false

override_dh_auto_build-indep:
	#dh_auto_build -i -- -p server assembleRelease
	ANDROID_PLATFORM=23 ANDROID_BUILD_TOOLS=debian server/build_without_gradle.sh

## scrcpy 1.12.1

=== debian/changelog ===
scrcpy (1.12.1-0mx19) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 14 Apr 2020 16:45:43 -0400

=== debian/control ===
Source: scrcpy
Section: utility
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends: debhelper (>= 10),
               adb,
               android-sdk,
               pkg-config,
               meson,
               ninja-build,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libsdl2-dev,
               markdown,
               openjdk-8-jdk
#              Android Studio also required but its license doesn't allow packaging it.
#              Its License does allow distributing apps built with it,
Standards-Version: 4.1.4

Package: scrcpy
Architecture: all
Depends:  adb, ffmpeg, libsdl2-2.0-0
Description: Android screen mirror.
 Scrcopy allows you to mirror your android device's screen and control that
 device from your desktop.  Root access is not required.

=== debian/rules ===
#!/usr/bin/make -f

# This export is required to use Android Studio and will be different for each builder.
export ANDROID_HOME=/home/tim/Android/Sdk/

%:
	dh $@

override dh_autoconfigure:
	dh_autoconfigure -- --buildtype release --strip -Db_lto=true

build-arch:
	debian/make-html-docs

## scrcpy 1.12.1+ds

=== meson_options.txt ===
option('compile_app', type: 'boolean', value: true, description: 'Build the client')
option('compile_server', type: 'boolean', value: true, description: 'Build the server')
option('crossbuild_windows', type: 'boolean', value: false, description: 'Build for Windows from Linux')
option('windows_noconsole', type: 'boolean', value: false, description: 'Disable console on Windows (pass -mwindows flag)')
option('prebuilt_server', type: 'string', description: 'Path of the prebuilt server')
option('portable', type: 'boolean', value: false, description: 'Use scrcpy-server from the same directory as the scrcpy executable')
option('hidpi_support', type: 'boolean', value: true, description: 'Enable High DPI support')
option('server_debugger', type: 'boolean', value: false, description: 'Run a server debugger and wait for a client to be attached')

=== prebuilt-deps/Makefile ===
.PHONY: prepare-win32 prepare-win64 \
	prepare-ffmpeg-shared-win32 \
	prepare-ffmpeg-dev-win32 \
	prepare-ffmpeg-shared-win64 \
	prepare-ffmpeg-dev-win64 \
	prepare-sdl2 \
	prepare-adb

prepare-win32: prepare-sdl2 prepare-ffmpeg-shared-win32 prepare-ffmpeg-dev-win32 prepare-adb
prepare-win64: prepare-sdl2 prepare-ffmpeg-shared-win64 prepare-ffmpeg-dev-win64 prepare-adb

prepare-ffmpeg-shared-win32:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win32/shared/ffmpeg-4.2.1-win32-shared.zip \
		9208255f409410d95147151d7e829b5699bf8d91bfe1e81c3f470f47c2fa66d2 \
		ffmpeg-4.2.1-win32-shared

prepare-ffmpeg-dev-win32:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win32/dev/ffmpeg-4.2.1-win32-dev.zip \
		c3469e6c5f031cbcc8cba88dee92d6548c5c6b6ff14f4097f18f72a92d0d70c4 \
		ffmpeg-4.2.1-win32-dev

prepare-ffmpeg-shared-win64:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win64/shared/ffmpeg-4.2.1-win64-shared.zip \
		55063d3cf750a75485c7bf196031773d81a1b25d0980c7db48ecfc7701a42331 \
		ffmpeg-4.2.1-win64-shared

prepare-ffmpeg-dev-win64:
	@./prepare-dep https://ffmpeg.zeranoe.com/builds/win64/dev/ffmpeg-4.2.1-win64-dev.zip \
		5af393be5f25c0a71aa29efce768e477c35347f7f8e0d9696767d5b9d405b74e \
		ffmpeg-4.2.1-win64-dev

prepare-sdl2:
	@./prepare-dep https://libsdl.org/release/SDL2-devel-2.0.10-mingw.tar.gz \
		a90a7cddaec4996f4d7be6d80c57ec69b062e132bffc513965f99217f603274a \
		SDL2-2.0.10

prepare-adb:
	@./prepare-dep https://dl.google.com/android/repository/platform-tools_r29.0.5-windows.zip \
		2df06160056ec9a84c7334af2a1e42740befbb1a2e34370e7af544a2cc78152c \
		platform-tools

=== debian/changelog ===
scrcpy (1.12.1+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #947465)
  * Recommend but not depend on adb
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Tue, 14 Jan 2020 13:14:59 +0800

=== debian/control ===
Source: scrcpy
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Arch:
 meson,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libsdl2-dev,
Build-Depends-Indep:
 android-sdk,
 android-sdk-platform-23,
 default-jdk,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/Genymobile/scrcpy
Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

Package: scrcpy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scrcpy-server,
Recommends: adb,
Description: Display and control your Android device
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the client (desktop) binary.

Package: scrcpy-server
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Display and control your Android device - server binary
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the server (mobile) binary, which will be pushed to the
 Android device.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export ANDROID_HOME=/usr/lib/android-sdk
export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

build:
	dh build-arch
	dh build-indep --buildsystem=makefile

build-arch:
	dh build-arch

build-indep:
	dh build-indep --buildsystem=makefile

clean:
	dh clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build_manual

override_dh_auto_configure-arch:
	dh_auto_configure -a -- -Dcompile_server=false

override_dh_auto_build-indep:
	ANDROID_PLATFORM=23 ANDROID_BUILD_TOOLS=debian server/build_without_gradle.sh
	# dirty hack for reproducible jar build
	cd build_manual; \
		unzip scrcpy-server; \
		touch -t $$(date --date="@${SOURCE_DATE_EPOCH}" +%Y%m%d%H%M.%S) * */*; \
		chmod 644 * */*; \
		TZ=UTC zip -X scrcpy-server.zip META-INF/MANIFEST.MF classes.dex; \
		mv scrcpy-server.zip scrcpy-server

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%scrcpy-$1.tar.gz%" \
   https://github.com/Genymobile/scrcpy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## scrcpy 1.14

=== debian/changelog ===
scrcpy (1.14-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Wed, 01 Jul 2020 14:59:53 +0800

## scrcpy 1.17

=== meson_options.txt ===
option('compile_app', type: 'boolean', value: true, description: 'Build the client')
option('compile_server', type: 'boolean', value: true, description: 'Build the server')
option('crossbuild_windows', type: 'boolean', value: false, description: 'Build for Windows from Linux')
option('prebuilt_server', type: 'string', description: 'Path of the prebuilt server')
option('portable', type: 'boolean', value: false, description: 'Use scrcpy-server from the same directory as the scrcpy executable')
option('hidpi_support', type: 'boolean', value: true, description: 'Enable High DPI support')
option('server_debugger', type: 'boolean', value: false, description: 'Run a server debugger and wait for a client to be attached')
option('server_debugger_method', type: 'combo', choices: ['old', 'new'], value: 'new', description: 'Select the debugger method (Android < 9: "old", Android >= 9: "new")')

=== prebuilt-deps/Makefile ===
.PHONY: prepare-win32 prepare-win64 \
	prepare-ffmpeg-shared-win32 \
	prepare-ffmpeg-dev-win32 \
	prepare-ffmpeg-shared-win64 \
	prepare-ffmpeg-dev-win64 \
	prepare-sdl2 \
	prepare-adb

prepare-win32: prepare-sdl2 prepare-ffmpeg-shared-win32 prepare-ffmpeg-dev-win32 prepare-adb
prepare-win64: prepare-sdl2 prepare-ffmpeg-shared-win64 prepare-ffmpeg-dev-win64 prepare-adb

prepare-ffmpeg-shared-win32:
	@./prepare-dep https://github.com/Genymobile/scrcpy/releases/download/v1.16/ffmpeg-4.3.1-win32-shared.zip \
		357af9901a456f4dcbacd107e83a934d344c9cb07ddad8aaf80612eeab7d26d2 \
		ffmpeg-4.3.1-win32-shared

prepare-ffmpeg-dev-win32:
	@./prepare-dep https://github.com/Genymobile/scrcpy/releases/download/v1.16/ffmpeg-4.3.1-win32-dev.zip \
		230efb08e9bcf225bd474da29676c70e591fc94d8790a740ca801408fddcb78b \
		ffmpeg-4.3.1-win32-dev

prepare-ffmpeg-shared-win64:
	@./prepare-dep https://github.com/Genymobile/scrcpy/releases/download/v1.16/ffmpeg-4.3.1-win64-shared.zip \
		dd29b7f92f48dead4dd940492c7509138c0f99db445076d0a597007298a79940 \
		ffmpeg-4.3.1-win64-shared

prepare-ffmpeg-dev-win64:
	@./prepare-dep https://github.com/Genymobile/scrcpy/releases/download/v1.16/ffmpeg-4.3.1-win64-dev.zip \
		2e8038242cf8e1bd095c2978f196ff0462b122cc6ef7e74626a6af15459d8b81 \
		ffmpeg-4.3.1-win64-dev

prepare-sdl2:
	@./prepare-dep https://libsdl.org/release/SDL2-devel-2.0.14-mingw.tar.gz \
		405eaff3eb18f2e08fe669ef9e63bc9a8710b7d343756f238619761e9b60407d \
		SDL2-2.0.14

prepare-adb:
	@./prepare-dep https://dl.google.com/android/repository/platform-tools_r30.0.5-windows.zip \
		549ba2bdc31f335eb8a504f005f77606a479cc216d6b64a3e8b64c780003661f \
		platform-tools

=== debian/changelog ===
scrcpy (1.17-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Mon, 18 Jan 2021 16:40:22 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  meson,
  libavcodec-dev,
@@ -17,7 +17,7 @@
  unzip,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Genymobile/scrcpy
 Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 	# dirty hack for reproducible jar build
 	cd build_manual; \
 		unzip scrcpy-server; \
-		touch -t $$(date --date="@${SOURCE_DATE_EPOCH}" +%Y%m%d%H%M.%S) * */*; \
-		chmod 644 * */*; \
+		touch -t $$(date --date="@${SOURCE_DATE_EPOCH}" +%Y%m%d%H%M.%S) META-INF META-INF/MANIFEST.MF classes.dex; \
+		chmod 755 META-INF; \
+		chmod 644 META-INF/MANIFEST.MF classes.dex; \
 		TZ=UTC zip -X scrcpy-server.zip META-INF/MANIFEST.MF classes.dex; \
 		mv scrcpy-server.zip scrcpy-server

## scrcpy 1.19

=== debian/changelog ===
scrcpy (1.19-1) unstable; urgency=medium

  * New upstream release (Closes: #995295)
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Thu, 30 Sep 2021 11:25:13 +0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends-Arch:
  meson,
  libavcodec-dev,
+ libavdevice-dev,
  libavformat-dev,
  libavutil-dev,
  libsdl2-dev,
@@ -17,7 +18,7 @@
  unzip,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/Genymobile/scrcpy
 Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

## scrcpy 1.21

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,5 @@
 option('crossbuild_windows', type: 'boolean', value: false, description: 'Build for Windows from Linux')
 option('prebuilt_server', type: 'string', description: 'Path of the prebuilt server')
 option('portable', type: 'boolean', value: false, description: 'Use scrcpy-server from the same directory as the scrcpy executable')
-option('hidpi_support', type: 'boolean', value: true, description: 'Enable High DPI support')
 option('server_debugger', type: 'boolean', value: false, description: 'Run a server debugger and wait for a client to be attached')
 option('server_debugger_method', type: 'combo', choices: ['old', 'new'], value: 'new', description: 'Select the debugger method (Android < 9: "old", Android >= 9: "new")')

=== prebuilt-deps/Makefile ===
--- 
+++ 
@@ -30,11 +30,11 @@
 		ffmpeg-4.3.1-win64-dev
 
 prepare-sdl2:
-	@./prepare-dep https://libsdl.org/release/SDL2-devel-2.0.14-mingw.tar.gz \
-		405eaff3eb18f2e08fe669ef9e63bc9a8710b7d343756f238619761e9b60407d \
-		SDL2-2.0.14
+	@./prepare-dep https://libsdl.org/release/SDL2-devel-2.0.16-mingw.tar.gz \
+		2bfe48628aa9635c12eac7d421907e291525de1d0b04b3bca4a5bd6e6c881a6f \
+		SDL2-2.0.16
 
 prepare-adb:
-	@./prepare-dep https://dl.google.com/android/repository/platform-tools_r30.0.5-windows.zip \
-		549ba2bdc31f335eb8a504f005f77606a479cc216d6b64a3e8b64c780003661f \
+	@./prepare-dep https://dl.google.com/android/repository/platform-tools_r31.0.3-windows.zip \
+		0f4b8fdd26af2c3733539d6eebb3c2ed499ea1d4bb1f4e0ecc2d6016961a6e24 \
 		platform-tools

=== debian/changelog ===
scrcpy (1.21-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Wed, 01 Dec 2021 04:36:41 +0800

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libavformat-dev,
  libavutil-dev,
  libsdl2-dev,
+ libusb-1.0-0-dev,
 Build-Depends-Indep:
  android-sdk,
  android-sdk-platform-23,

## scrcpy 1.23

=== debian/changelog ===
scrcpy (1.23-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Jun 2022 16:06:47 -0400

scrcpy (1.23-1) unstable; urgency=medium

  * New upstream release
    * scrcpy now require scrcpy-server of the same version (Closes: #1004201)
    * Fix FTBFS with ffmpeg 5.0 (Closes: #1004812)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 09 Mar 2022 16:37:46 +0800

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export ANDROID_HOME=/usr/lib/android-sdk
 export JAVA_HOME=/usr/lib/jvm/default-java

## scrcpy 1.24

=== debian/changelog ===
scrcpy (1.24-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Oct 2022 14:55:31 -0700

scrcpy (1.24-1) unstable; urgency=medium

  * New upstream release
  * FTBFS if BUILD_DIR is set (Closes: #1013304)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Sat, 16 Jul 2022 17:47:57 +0800

=== debian/control ===
Source: scrcpy
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: libavcodec-dev,
                    libavdevice-dev,
                    libavformat-dev,
                    libavutil-dev,
                    libsdl2-dev,
                    libusb-1.0-0-dev,
                    meson
Build-Depends-Indep: android-sdk,
                     android-sdk-platform-23,
                     default-jdk,
                     unzip,
                     zip
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/Genymobile/scrcpy
Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

Package: scrcpy
Architecture: any
Depends: scrcpy-server (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: adb
Description: Display and control your Android device
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the client (desktop) binary.

Package: scrcpy-server
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Display and control your Android device - server binary
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the server (mobile) binary, which will be pushed to the
 Android device.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh_auto_configure -a -- -Dcompile_server=false
 
 override_dh_auto_build-indep:
-	ANDROID_PLATFORM=23 ANDROID_BUILD_TOOLS=debian server/build_without_gradle.sh
+	BUILD_DIR=build_manual ANDROID_PLATFORM=23 ANDROID_BUILD_TOOLS=debian server/build_without_gradle.sh
 	# dirty hack for reproducible jar build
 	cd build_manual; \
 		unzip scrcpy-server; \
@@ -47,3 +47,7 @@
 		chmod 644 META-INF/MANIFEST.MF classes.dex; \
 		TZ=UTC zip -X scrcpy-server.zip META-INF/MANIFEST.MF classes.dex; \
 		mv scrcpy-server.zip scrcpy-server
+
+# No dbgsym package for MX:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## scrcpy 1.25

=== meson_options.txt ===
option('compile_app', type: 'boolean', value: true, description: 'Build the client')
option('compile_server', type: 'boolean', value: true, description: 'Build the server')
option('prebuilt_server', type: 'string', description: 'Path of the prebuilt server')
option('portable', type: 'boolean', value: false, description: 'Use scrcpy-server from the same directory as the scrcpy executable')
option('server_debugger', type: 'boolean', value: false, description: 'Run a server debugger and wait for a client to be attached')
option('server_debugger_method', type: 'combo', choices: ['old', 'new'], value: 'new', description: 'Select the debugger method (Android < 9: "old", Android >= 9: "new")')
option('v4l2', type: 'boolean', value: true, description: 'Enable V4L2 feature when supported')
option('usb', type: 'boolean', value: true, description: 'Enable HID/OTG features when supported')

=== debian/changelog ===
scrcpy (1.25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-dependency on dalvik-exchange.  Closes: #1050097

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Feb 2025 13:59:30 +0100

scrcpy (1.25-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Fri, 20 Jan 2023 18:28:52 +0800

=== debian/control ===
Source: scrcpy
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 meson,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libavutil-dev,
 libsdl2-dev,
 libusb-1.0-0-dev,
Build-Depends-Indep:
 android-sdk,
 android-sdk-platform-23,
 default-jdk,
 dalvik-exchange,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/Genymobile/scrcpy
Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

Package: scrcpy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scrcpy-server (= ${source:Version}),
Recommends: adb,
Description: Display and control your Android device
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the client (desktop) binary.

Package: scrcpy-server
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Display and control your Android device - server binary
 This application provides display and control of Android devices connected on
 USB (or over TCP/IP). It does not require any root access.
 .
 This package contains the server (mobile) binary, which will be pushed to the
 Android device.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,3 @@
 		chmod 644 META-INF/MANIFEST.MF classes.dex; \
 		TZ=UTC zip -X scrcpy-server.zip META-INF/MANIFEST.MF classes.dex; \
 		mv scrcpy-server.zip scrcpy-server
-
-# No dbgsym package for MX:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%scrcpy-$1.tar.gz%" \
   https://github.com/Genymobile/scrcpy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## scrcpy 3.3.2

=== debian/changelog ===
scrcpy (3.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1042468)
    * Fix FTBFS with ffmpeg 8.0 (Closes: #1115037)
  * Move to contrib
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Wed, 17 Sep 2025 14:44:01 +0800

=== debian/control ===
Source: scrcpy
Section: contrib/net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 meson,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libavutil-dev,
 libsdl2-dev,
 libusb-1.0-0-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/Genymobile/scrcpy
Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy

Package: scrcpy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: scrcpy-server (<< 3.3.2),
Replaces: scrcpy-server (<< 3.3.2),
Recommends: adb, wget | curl, ca-certificates,
Description: Display and control your Android devices
 scrcpy mirrors Android devices (video and audio) connected via USB or over
 TCP/IP, and allows one to control the device with the keyboard and the mouse of
 the computer. It does not require any root access on Android devices.
 .
 Its features include:
   * audio forwarding (Android 11+)
   * recording
   * mirroring with Android device screen off
   * copy-paste in both directions
   * configurable quality
   * camera mirroring (Android 12+)
   * mirroring as a webcam (V4L2) (Linux-only)
   * physical keyboard and mouse simulation (HID)
   * OTG mode
   * and more...
 .
 The Android device requires at least API 21 (Android 5.0). Audio forwarding is
 supported for API >= 30 (Android 11+). Make sure you enabled USB debugging on
 your device(s).
 .
 This package contains the client (desktop) binary. Server (mobile) binary will
 be downloaded directly from upstream.

## scrcpy 3.3.4

=== debian/changelog ===
scrcpy (3.3.4-1~bpo13+1) trixie-backports; urgency=medium

  * Team upload.
  * Rebuild for trixie-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 20 Feb 2026 00:19:57 -0800

scrcpy (3.3.4-1) unstable; urgency=medium

  * New upstream release
  * Fix permission of downloaded scrcpy-server (Closes: #1124109)
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Sun, 28 Dec 2025 05:18:04 +0800

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  libavutil-dev,
  libsdl2-dev,
  libusb-1.0-0-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/Genymobile/scrcpy
 Vcs-Git: https://salsa.debian.org/yangfl-guest/scrcpy.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/scrcpy
@@ -25,19 +24,21 @@
 Replaces: scrcpy-server (<< 3.3.2),
 Recommends: adb, wget | curl, ca-certificates,
 Description: Display and control your Android devices
- scrcpy mirrors Android devices (video and audio) connected via USB or over
- TCP/IP, and allows one to control the device with the keyboard and the mouse of
- the computer. It does not require any root access on Android devices.
+ scrcpy mirrors Android devices (video and audio) connected via USB or TCP/IP,
+ and allows one to control them using the computer's keyboard and mouse. It does
+ not require root access or an app installed on the device.
  .
  Its features include:
    * audio forwarding (Android 11+)
    * recording
+   * virtual display
    * mirroring with Android device screen off
    * copy-paste in both directions
    * configurable quality
    * camera mirroring (Android 12+)
    * mirroring as a webcam (V4L2) (Linux-only)
    * physical keyboard and mouse simulation (HID)
+   * gamepad support
    * OTG mode
    * and more...
  .
